> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.cobee.io/llms.txt
> Use this file to discover all available pages before exploring further.

# [Deprecated] - List employee consumptions

<Warning>
  **Deprecated Endpoint**<br />
  This endpoint is deprecated. Please use the new endpoint <a href="./get_employee_consumptions" target="_self">List Employee Consumptions</a> instead.
</Warning>

## Overview

Retrieves all confirmed transactions of a specific employee for a specific payroll cycle.


## OpenAPI

````yaml GET /companies/{companyId}/payroll-cycles/{payrollCycleId}/employees/{employeeId}/consumptions
openapi: 3.0.1
info:
  title: Public API
  description: >-
    Public API definition where you can check the documentation for the
    different available operations to integrate with the platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://pre-public-api.cobee.io/api/v3
  - url: https://public-api.cobee.io/api/v3
security:
  - bearerAuth: []
paths:
  /companies/{companyId}/payroll-cycles/{payrollCycleId}/employees/{employeeId}/consumptions:
    get:
      summary: Find employee consumptions for a specific payroll cycle
      parameters:
        - name: companyId
          in: path
          required: true
          description: The unique identifier of the company
          schema:
            type: string
            format: uuid
          example: a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890
        - name: payrollCycleId
          in: path
          required: true
          description: The unique identifier of the payroll cycle
          schema:
            type: string
            format: uuid
          example: 7f4c9ba8-9c2d-4b82-8b8c-e5f8f8f8f8f8
        - name: employeeId
          in: path
          required: true
          description: The unique identifier of the employee
          schema:
            type: string
            format: uuid
          example: 7f4c9ba8-9c2d-4b82-8b8c-e5f8f8f8f8f8
      responses:
        '200':
          description: Employee consumptions successfully retrieved
          content:
            application/json:
              schema:
                type: object
                required:
                  - consumptions
                properties:
                  consumptions:
                    type: array
                    description: List of employee consumptions
                    items:
                      type: object
                      required:
                        - behaviour
                        - category
                        - sumType
                        - amount
                      properties:
                        behaviour:
                          type: string
                          description: The behaviour type of the consumption
                          enum:
                            - allowance
                            - allowance-not-exempt
                            - flex
                            - flex-not-exempt
                          example: allowance
                        category:
                          type: string
                          description: The category of the consumption
                          enum:
                            - any
                            - capitalization-benefit
                            - claps-benefit
                            - education-benefit
                            - gym-benefit
                            - health-insurance-benefit
                            - home-office-benefit
                            - individual-capitalization-benefit
                            - it-product-benefit
                            - life-insurance-benefit
                            - meal-benefit
                            - nursery-benefit
                            - pension-plan-benefit
                            - renting-benefit
                            - retirement-insurance-benefit
                            - transport-benefit
                            - unknown
                            - wellness-benefit
                          example: meal-benefit
                        sumType:
                          type: string
                          description: The sum type of the consumption
                          enum:
                            - expenses
                            - withdrawn
                          example: expenses
                        amount:
                          $ref: '#/components/schemas/MonetaryAmount'
                          description: The amount of the consumption
        '404':
          description: Not Found - The employee, company, or payroll cycle was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Resource not found
        '500':
          description: Internal Server Error - Something went wrong on our end
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Internal server error
      deprecated: true
components:
  schemas:
    MonetaryAmount:
      type: object
      required:
        - amountInCents
        - currency
      properties:
        amountInCents:
          type: integer
          description: The monetary amount in cents (e.g., 4500000 for 45,000)
          minimum: 1
        currency:
          type: string
          description: The currency code (e.g., EUR)
          example: EUR
      example:
        amountInCents: 4500000
        currency: EUR
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      example:
        message: 'Bad request: Invalid field value'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````